commit:     5023beed4336f7b5c7f9f94751e249ac41d023c3
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 12 18:33:00 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Dec 12 18:43:10 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5023beed

app-shells/dash: add 0.5.12

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-shells/dash/Manifest           |  1 +
 app-shells/dash/dash-0.5.12.ebuild | 64 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/app-shells/dash/Manifest b/app-shells/dash/Manifest
index ebddbeec1dcc..0bcb6fd2e1ed 100644
--- a/app-shells/dash/Manifest
+++ b/app-shells/dash/Manifest
@@ -1 +1,2 @@
 DIST dash-0.5.11.5.tar.gz 240681 BLAKE2B 
71c5e0acc127a01c75233b6d0a563979e5d856f16e3d108a68eb54d0b4b00f527f382e3e6aa963f9cff71bfaea2f524ba204ed04b7d006bd781784b2351e38c4
 SHA512 
5387e213820eeb44d812bb4697543023fd4662b51a9ffd52a702810fed8b28d23fbe35a7f371e6686107de9f81902eff109458964b4622f4c5412d60190a66bf
+DIST dash-0.5.12.tar.gz 246054 BLAKE2B 
f4c5e7088d7b591e0890a0e1363ef4f70074f4033ae34d3f82d71379cee78876e1e89b5d8e4afa3ce9380f8d94c3e8970c480a21257f87706112dd883667893e
 SHA512 
13bd262be0089260cbd13530a9cf34690c0abeb2f1920eb5e61be7951b716f9f335b86279d425dbfae56cbd49231a8fdffdff70601a5177da3d543be6fc5eb17

diff --git a/app-shells/dash/dash-0.5.12.ebuild 
b/app-shells/dash/dash-0.5.12.ebuild
new file mode 100644
index 000000000000..aff6edbe6cec
--- /dev/null
+++ b/app-shells/dash/dash-0.5.12.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="Debian Almquist Shell"
+HOMEPAGE="http://gondor.apana.org.au/~herbert/dash/";
+SRC_URI="http://gondor.apana.org.au/~herbert/dash/files/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="libedit static"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND="!static? ( libedit? ( dev-libs/libedit ) )"
+DEPEND="
+       ${RDEPEND}
+       libedit? ( static? ( dev-libs/libedit[static-libs] ) )
+"
+
+src_prepare() {
+       default
+
+       # Fix the invalid sort
+       sed -i -e 's/LC_COLLATE=C/LC_ALL=C/g' src/mkbuiltins || die
+
+       # Use pkg-config for libedit linkage
+       sed -i \
+               -e "/LIBS/s:-ledit:\`$(tc-getPKG_CONFIG) --libs libedit $(usex 
static --static '')\`:" \
+               configure || die
+}
+
+src_configure() {
+       if [[ ${CHOST} == *-solaris* ]] ; then
+               # don't redefine stat, open, dirent, etc. on Solaris
+               export ac_cv_func_stat64=yes
+               export ac_cv_func_open64=yes
+
+               # if your headers strictly adhere to POSIX, you'll need this too
+               [[ ${CHOST##*solaris2.} -le 10 ]] && append-cppflags 
-DNAME_MAX=255
+       fi
+
+       if [[ ${CHOST} == powerpc-*-darwin* ]] ; then
+               sed -i -e 's/= stpncpy(s, \([^,]\+\), \([0-9]\+\))/+= 
snprintf(s, \2, "%s", \1)/' \
+                       src/jobs.c || die
+       fi
+
+       use static && append-ldflags -static
+
+       append-cppflags -DJOBS=$(usex libedit 1 0)
+
+       # Do not pass --enable-glob due to #443552.
+       local myeconfargs=(
+               CC_FOR_BUILD="$(tc-getBUILD_CC)"
+               --bindir="${EPREFIX}"/bin
+               --enable-fnmatch
+               $(use_with libedit)
+       )
+
+       econf "${myeconfargs[@]}"
+}

Reply via email to